.footer {
  position: relative;
  -webkit-box-flex: 0;
  -ms-flex: 0 0 auto;
  flex: 0 0 auto;
  width: 100%;
  padding: 40px;
  max-width: 100%;
  z-index: 9;
}

.footer__icon-block,
.footer__bot,
.footer__top{
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

.footer__bot{
  padding: 40px 0;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: end;
  -ms-flex-align: end;
  align-items: flex-end;
}

.footer__icon{
  width: 40px;
  height: 40px;
}

.footer__row{
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

.footer__link{
  display: block;
  margin-bottom: 13px;
  color: rgba(0,0,0,.7);
}

.footer__link:hover {
  color: rgba(0,0,0,1);
}

.footer__block{
  margin-right: 80px;
}

.footer__left{
  width: calc(100% - 360px);
}

.footer__right{
  width: 360px;
}

.soc{
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.soc__item{
  position: relative;
  padding: 12px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  margin-right: 16px;
  border-radius: 8px;
  border: 1px solid rgba(0, 0, 0, 0.1);
  background:  transparent;
  -webkit-transition: var(--transition--main);
  -o-transition: var(--transition--main);
  transition: var(--transition--main);
}

.soc__item:hover {
   border: 1px solid transparent; 
   background: linear-gradient(90deg, #FF86C9 0%, #3C8AFF 100%);
  -webkit-background-clip: text;
   background-clip: text;
  -webkit-text-fill-color: transparent;
}

.soc__item::before {
    content: "";
    position: absolute;
    z-index: -1;
    inset: -1px;
    border: 1px solid transparent;
    border-radius: 8px;
    background: inherit;
    background-origin: border-box;
    background-clip: border-box;
    -webkit-mask: linear-gradient(#fff 0 0) padding-box, linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;
    -webkit-mask-repeat: no-repeat;
}

.soc__icon{
  width: 24px;
  height: 24px;
  margin: auto;
}


.soc__item:last-child {
  margin-right: 0;
}

.copy{
  font-size: var(--font--small);
  color: #00000030;
}

.footer__mobile{
  display: none;
  padding: 10px 0 40px;
  color: rgba(0,0,0,.7);
}

.grecaptcha-badge {
  display: none !important;
}

@media screen and (max-width: 1024px){
  .footer{
    padding: 60px 20px 0;
  }

  .footer__top {
    flex-direction: column-reverse;
  }

  .footer__block{
    margin-right: 0;
    width: 50%;
  }

  .footer__bot{
    padding-bottom: 20px;
  }

  .footer__bot .footer__right,
  .footer__bot .footer__left,
  .footer__top .footer__right,
  .footer__top .footer__left{
    width: 100%;
  }

  .footer__icon-block .footer__right,
  .footer__icon-block .footer__left{
    width: 50%;
  }

  .footer__top .footer__right{
    -webkit-box-ordinal-group: 0;
    -ms-flex-order: -1;
    order: -1;
    margin-top: 27px;
  }

  .footer__mobile{
    display: block;
    padding: 10px 0 0;
  }

  .footer__bot .footer__right{
    display: none;
  }

  .soc {
    justify-content: flex-end;
    margin-bottom: 40px;
  }

  .footer__icon {
    margin-bottom: 40px;
  }

}

/* horizontal scroll */
.h-scroll {
  position: absolute;
  overflow: auto;
  /*display: flex;*/
}